Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
D3D12_RASTERIZER_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes
D3D12_FILL_MODE | FillMode
D3D12_CULL_MODE | CullMode
BOOL | FrontCounterClockwise
INT | DepthBias
FLOAT | DepthBiasClamp
FLOAT | SlopeScaledDepthBias
BOOL | DepthClipEnable
BOOL | MultisampleEnable
BOOL | AntialiasedLineEnable
UINT | ForcedSampleCount
D3D12_CONSERVATIVE_RASTERIZATION_MODE | ConservativeRaster

## Detailed Description

Definition at line 1981 of file mini_d3d12.h.

## Member Data Documentation

## ◆ FillMode

D3D12_FILL_MODE D3D12_RASTERIZER_DESC::FillMode

Definition at line 1982 of file mini_d3d12.h.

## ◆ CullMode

D3D12_CULL_MODE D3D12_RASTERIZER_DESC::CullMode

Definition at line 1983 of file mini_d3d12.h.

## ◆ FrontCounterClockwise

BOOL D3D12_RASTERIZER_DESC::FrontCounterClockwise

Definition at line 1984 of file mini_d3d12.h.

## ◆ DepthBias

INT D3D12_RASTERIZER_DESC::DepthBias

Definition at line 1985 of file mini_d3d12.h.

## ◆ DepthBiasClamp

FLOAT D3D12_RASTERIZER_DESC::DepthBiasClamp

Definition at line 1986 of file mini_d3d12.h.

## ◆ SlopeScaledDepthBias

FLOAT D3D12_RASTERIZER_DESC::SlopeScaledDepthBias

Definition at line 1987 of file mini_d3d12.h.

## ◆ DepthClipEnable

BOOL D3D12_RASTERIZER_DESC::DepthClipEnable

Definition at line 1988 of file mini_d3d12.h.

## ◆ MultisampleEnable

BOOL D3D12_RASTERIZER_DESC::MultisampleEnable

Definition at line 1989 of file mini_d3d12.h.

## ◆ AntialiasedLineEnable

BOOL D3D12_RASTERIZER_DESC::AntialiasedLineEnable

Definition at line 1990 of file mini_d3d12.h.

## ◆ ForcedSampleCount

UINT D3D12_RASTERIZER_DESC::ForcedSampleCount

Definition at line 1991 of file mini_d3d12.h.

## ◆ ConservativeRaster

D3D12_CONSERVATIVE_RASTERIZATION_MODE D3D12_RASTERIZER_DESC::ConservativeRaster

Definition at line 1992 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h